%define aurox_ver 9.4
%define rel 1

%define rname lua

Summary: Embedded scripting language.
Name: lua
Version: 5.0.2
Release: %{aurox_ver}.aur.%{rel}
License: zlib
Group: Development/Libraries
Source: http://www.lua.org/ftp/%{rname}-%{version}.tar.gz
URL: http://www.lua.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Lua is a powerful, light-weight programming language designed for extending
applications. Lua is also frequently used as a general-purpose, stand-alone
language.

Lua combines simple procedural syntax (similar to Pascal) with powerful
data description constructs based on associative arrays and extensible
semantics. Lua is dynamically typed, interpreted from bytecodes, and has
automatic memory management, making it ideal for configuration, scripting,
and rapid prototyping.


%prep
%setup -q -n %{rname}-%{version}


%build
make


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}/%{_prefix} INSTALL_MAN=%{buildroot}/%{_mandir}/man1

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc COPYRIGHT DIFFS HISTORY INSTALL README UPDATE
%doc doc/*.html
%{_bindir}/lua
%{_bindir}/luac
%{_includedir}/*.h
%{_libdir}/*.a
%{_mandir}/man1/*


%changelog
* Thu Apr 29 2004 Aurox Team <aurox@aurox.org> 0:5.0.2-9.4.aur.1
- initial import of lua 5

